<!-- Breadcrumbs-->


<div class="row">
  <div class="col-lg-12">

    <ol class="breadcrumb">
      <li class="breadcrumb-item"><button class="btn btn-primary" (click)="addClient()"><i class="fa fa-plus"></i> Ajouter</button></li>
    </ol>
  </div>

</div>

<div class="row">
  <div class="col-md-6">
<div class="card mb-3">
  <div class="card-header">
    <i class="fa fa-user"></i> Clients</div>

    <div class="table-responsive">
      <table width="100%" class="table table-striped table-hover ">
        <thead>
        <tr>
          <th>N°</th>
          <th>Nom</th>
          <th>Adresse</th>
          <th class="text-right">Operations</th>
        </tr>
        </thead>
        <tbody>
        <tr class="odd gradeX" *ngFor="let client of clients">
          <td><b>{{client.id}}</b></td>
          <td><b>{{client.nameClient}}</b></td>
          <td><b>{{client.coordinateClient.adresse}}</b></td>
          <td class="text-right">
            <button type="button" class="btn btn-primary btn-circle" (click)="updateClient1(client.id)"><i class="fa  fa-edit"></i></button>
            &nbsp;|&nbsp;
            <button type="button" class="btn btn-danger btn-circle" (click)="deleteClient(client)"><i class="fa fa-trash-o "></i></button>
          </td>

        </tr>
        </tbody>
      </table>
    </div>
  <div class="card-footer small text-muted"></div>
</div>
  </div>

  <div class="col-md-6">
    <div class="card">
      <agm-map [zoom]="12" [latitude]="33.581053564669844" [longitude]="-7.594315135130387" style="height:500px;width: 100%;" >
        <agm-marker
                *ngFor="let client1 of clients"
                [latitude]="client1.coordinateClient.latitude"
                [longitude]="client1.coordinateClient.longitude"
                >
          <agm-info-window>{{client1.nameClient}}</agm-info-window>
        </agm-marker>
        <agm-direction [origin]="origin" [destination]="destination"
                       [waypoints]="waypoints"
                       [visible]="true" [renderOptions]="renderOptions" style="color: #0b2e13"></agm-direction>

      </agm-map>
    </div>
  </div>

</div>





